> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Thread

> Update a thread's metadata (e.g., title).

Requires UPDATE permission on ANALYSIS resources.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json put /threads/{thread_id}
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /threads/{thread_id}:
    put:
      tags:
        - threads
      summary: Update Thread
      description: |-
        Update a thread's metadata (e.g., title).

        Requires UPDATE permission on ANALYSIS resources.
      operationId: update_thread_threads__thread_id__put
      parameters:
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            description: Thread ID
            title: Thread Id
          description: Thread ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ThreadUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ThreadUpdate:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        last_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Message
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        status:
          anyOf:
            - $ref: '#/components/schemas/ThreadStatus'
            - type: 'null'
        sharing:
          anyOf:
            - $ref: '#/components/schemas/ThreadSharing'
            - type: 'null'
        langsmith_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Langsmith Trace Id
        execution_workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution Workflow Id
      type: object
      title: ThreadUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ThreadStatus:
      type: string
      enum:
        - idle
        - active
        - completed
        - error
        - cancelled
        - waiting_for_input
        - refused
      title: ThreadStatus
      description: Thread execution status.
    ThreadSharing:
      type: string
      enum:
        - private
        - organization
      title: ThreadSharing
      description: Thread sharing/visibility setting.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````